Bug 1575860 - [abrt] PackageKit: __fopen_internal(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: __fopen_internal(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9f02078eced0e3114ef6637bdf1...
: 1645097 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 06:24 UTC by Ferry Huberts
Modified: 2019-05-28 23:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:10:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (88.07 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: cgroup (184 bytes, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: core_backtrace (15.21 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: dso_list (8.12 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: environ (190 bytes, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: maps (38.18 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: mountinfo (3.96 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: open_fds (6.19 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details
File: var_log_messages (1.30 KB, text/plain)
2018-05-08 06:24 UTC, Ferry Huberts
no flags Details

Description Ferry Huberts 2018-05-08 06:24:24 UTC
Version-Release number of selected component:
PackageKit-1.1.10-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: __fopen_internal
executable:     /usr/libexec/packagekitd
journald_cursor: s=bcebbdffa4e3413196b1f9bbba92659e;i=4b780;b=0881960e16fd453bb3b8a139d670c055;m=cab3e92f8;t=56babb75bd897;x=f2d9a67014322dd2
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 __fopen_internal at iofopen.c:58
 #3 _IO_new_fopen at iofopen.c:89
 #4 internal_setent at nss_files/files-XXX.c:77
 #5 _nss_files_gethostbyname4_r at nss_files/files-hosts.c:401
 #6 gaih_inet at ../sysdeps/posix/getaddrinfo.c:766
 #7 getaddrinfo at ../sysdeps/posix/getaddrinfo.c:2254
 #8 0x00007fecc2c8685b in

Potential duplicate: bug 1515700

Comment 1 Ferry Huberts 2018-05-08 06:24:32 UTC
Created attachment 1432996 [details]
File: backtrace

Comment 2 Ferry Huberts 2018-05-08 06:24:34 UTC
Created attachment 1432997 [details]
File: cgroup

Comment 3 Ferry Huberts 2018-05-08 06:24:36 UTC
Created attachment 1432998 [details]
File: core_backtrace

Comment 4 Ferry Huberts 2018-05-08 06:24:37 UTC
Created attachment 1432999 [details]
File: cpuinfo

Comment 5 Ferry Huberts 2018-05-08 06:24:39 UTC
Created attachment 1433000 [details]
File: dso_list

Comment 6 Ferry Huberts 2018-05-08 06:24:41 UTC
Created attachment 1433001 [details]
File: environ

Comment 7 Ferry Huberts 2018-05-08 06:24:43 UTC
Created attachment 1433002 [details]
File: exploitable

Comment 8 Ferry Huberts 2018-05-08 06:24:44 UTC
Created attachment 1433003 [details]
File: limits

Comment 9 Ferry Huberts 2018-05-08 06:24:47 UTC
Created attachment 1433004 [details]
File: maps

Comment 10 Ferry Huberts 2018-05-08 06:24:49 UTC
Created attachment 1433005 [details]
File: mountinfo

Comment 11 Ferry Huberts 2018-05-08 06:24:51 UTC
Created attachment 1433006 [details]
File: open_fds

Comment 12 Ferry Huberts 2018-05-08 06:24:52 UTC
Created attachment 1433007 [details]
File: proc_pid_status

Comment 13 Ferry Huberts 2018-05-08 06:24:54 UTC
Created attachment 1433008 [details]
File: var_log_messages

Comment 14 Dane Kirkendall 2018-11-01 12:05:04 UTC
*** Bug 1645097 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-05-02 20:24:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 23:10:52 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.